Bug 124158 - file displays rubbish for JPEG files
Summary: file displays rubbish for JPEG files
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: file   
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Radek Vokal
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-05-24 15:44 UTC by Tim Waugh
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-16 07:11:34 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Tim Waugh 2004-05-24 15:44:12 UTC
Description of problem:
file *.jpg output doesn't make a lot of sense.

Version-Release number of selected component (if applicable):
file-4.07-4

How reproducible:
100%

Steps to Reproduce:
1. locate .jpg | xargs file
2. read output
  
Actual results:
For example:

/usr/games/chromium/data/doc/images/heroAmmo00.jpg:
JPEG image data, JFIF standard 1.01, aspect ratio, 1 x 1

What does this mean?  The aspect ratio is 1x1?  Or the dimensions are
1x1?  Either way it is incorrect.  Also:

/usr/share/wallpapers/Foggy1.jpg:
JPEG image data, JFIF standard 1.01, aspect ratio, 0 x 0

0 x 0?

etc.

Comment 1 Jeff Johnson 2004-06-10 01:46:49 UTC
This is fixed in file-4.09, coming soon ...


Comment 2 Radek Vokal 2004-08-16 07:10:51 UTC
Fixed in file-4.10.


Note You need to log in before you can comment on or make changes to this bug.